const path = require('path');

/**
 * 伪造文件路径(为了在window上的chrome devtool能读取sourcemap)
 */
module.exports = function mockFilePath(opts,filename) {
  const {sourceMapRootPathAlias,rootPath,rootPathAlias} = opts;
  let fakePath;
  const originalPath = path.resolve(filename);
    fakePath = originalPath.replace(rootPath, rootPathAlias).replace(/\.(\w+)$/, function(matchStr,p1){
      const suffix = p1;
      if(suffix !=="js"){
        return `.js [from ${suffix}]`;
      }
      return matchStr;
    });
  return fakePath.replace(/[\\]/g, '/');
};