const path = require('path');
const sourceMapConverter = require('convert-source-map');


module.exports = function repairSourceMap(opts,mapStr,CWD=process.cwd()) {
    const {rootPath,sourceMapRootPathAlias} = opts;
    const map = sourceMapConverter.fromComment(mapStr);
    const originSources = map.getProperty('sources');
    map.setProperty('sources', originSources.map(val => path
          .resolve(CWD, val)
          .replace(rootPath, sourceMapRootPathAlias)
          .replace(/[\\]/g, '/')));
    return map.toComment();
};